Identify Reader/Acrobat versions

Avatar

Avatar
Establish
MVP
_Bruce_Robertson
MVP

Likes

271 likes

Total Posts

1,782 posts

Correct reply

372 solutions
Top badges earned
Establish
Give Back 25
Give Back 10
Give Back 5
Give Back 3
View profile

Avatar
Establish
MVP
_Bruce_Robertson
MVP

Likes

271 likes

Total Posts

1,782 posts

Correct reply

372 solutions
Top badges earned
Establish
Give Back 25
Give Back 10
Give Back 5
Give Back 3
View profile
_Bruce_Robertson
MVP

21-10-2008

As part of our submission process we collect the version of Reader/Acrobat that was used. We do this using xfa.host.appType, and the app.plugIns[x].version. We test our forms with versions of Reader from 7.0.9 to 9.0 and Acrobat 7.0 to 8.0. The xfa.host.appType for these is Reader or Exchange-Pro.



We also receive some forms with a xfa.host.appType of Exchange. This often fails as it seems to not handle null values that get updated via JavaScript (we get back a XML element with a value but also still has the xsi:nil=true).



Does anyone know what program has a xfa.host.appType of Exchange.